## r-cran-scatterd3 0.8.1%2Bdfsg

=== DESCRIPTION ===
Package: scatterD3
Type: Package
Title: D3 JavaScript Scatterplot from R
Version: 0.8.1
Date: 2016-12-13
Authors@R: c(
    person(
      "Julien", "Barnier",
      email = "julien.barnier@ens-lyon.fr",
      role = c("aut", "cre")
    ),
    person(
        "Kent", "Russell"
        , role = c("aut", "ctb")
        , email = "kent.russell@timelyportfolio.com"
    ),
    person(
        "Mike", "Bostock"
        , role = c("aut", "cph")
        , comment = "d3.js library, http://d3js.org"
    ),
    person(
        "Susie", "Lu"
        , role = c("aut", "cph")
        , comment = "d3-legend library, http://d3-legend.susielu.com/"
    ),
    person(
        "Speros", "Kokenes"
        , role = c("aut", "cph")
        , comment = "d3-lasso-plugin library, https://github.com/skokenes/D3-Lasso-Plugin"
    )
  )
Maintainer: Julien Barnier <julien.barnier@ens-lyon.fr>
Description: Creates 'D3' 'JavaScript' scatterplots from 'R' with interactive
    features : panning, zooming, tooltips, etc.
License: GPL (>= 3)
VignetteBuilder: knitr
URL: https://github.com/juba/scatterD3
BugReports: https://github.com/juba/scatterD3/issues
LazyData: TRUE
Enhances: shiny
Imports: htmlwidgets, digest, ellipse
Suggests: knitr, rmarkdown
RoxygenNote: 5.0.1
NeedsCompilation: no
Packaged: 2016-12-13 15:44:13 UTC; julien
Author: Julien Barnier [aut, cre],
  Kent Russell [aut, ctb],
  Mike Bostock [aut, cph] (d3.js library, http://d3js.org),
  Susie Lu [aut, cph] (d3-legend library, http://d3-legend.susielu.com/),
  Speros Kokenes [aut, cph] (d3-lasso-plugin library,
    https://github.com/skokenes/D3-Lasso-Plugin)
Repository: CRAN
Date/Publication: 2016-12-13 21:24:10

## r-cran-scatterd3 0.6.2+dfsg

=== debian/changelog ===
r-cran-scatterd3 (0.6.2+dfsg-1) unstable; urgency=low

  * Initial release (closes: #829303)

 -- Andreas Tille <tille@debian.org>  Sat, 02 Jul 2016 14:40:18 +0200

=== debian/control ===
Source: r-cran-scatterd3
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Andreas Tille <tille@debian.org>
Section: gnu-r
Priority: optional
Build-Depends: debhelper (>= 9),
               cdbs,
               r-base-dev,
               r-cran-htmlwidgets,
               r-cran-digest,
               r-cran-ellipse
Standards-Version: 3.9.8
Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/r-cran-scatterd3.git
Vcs-Git: https://anonscm.debian.org/git/debian-med/r-cran-scatterd3.git
Homepage: https://cran.r-project.org/web/packages/scatterD3

Package: r-cran-scatterd3
Architecture: all
Depends: ${misc:Depends},
         ${R:Depends},
         r-cran-htmlwidgets,
         r-cran-digest,
         r-cran-ellipse,
         libjs-d3
Description: GNU R D3 JavaScript Scatterplot from R
 This GNU R package creates 'D3' 'JavaScript' scatterplots from 'R' with
 interactive features : panning, zooming, tooltips, etc.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/R/debian/r-cran.mk

install/$(package)::
	ln -s /usr/share/javascript/d3/d3.min.js $(debRlib)/$(cranNameOrig)/htmlwidgets/lib/d3-3.5.6.min.js

=== debian/watch ===
version=3
opts="repacksuffix=+dfsg,dversionmangle=s/\+dfsg//g,repack,compression=xz" \
   http://cran.r-project.org/src/contrib/scatterD3_([-\d.]*)\.tar\.gz

## r-cran-scatterd3 0.8.1+dfsg

=== debian/changelog ===
r-cran-scatterd3 (0.8.1+dfsg-3) unstable; urgency=medium

  * Clarify comment in d/copyright
    Closes: #883791
  * Secure URI in watch file

 -- Andreas Tille <tille@debian.org>  Thu, 07 Dec 2017 17:23:40 +0100

r-cran-scatterd3 (0.8.1+dfsg-2) unstable; urgency=medium

  * Standards-Version: 4.1.1
  * Add "Testsuite: autopkgtest-pkg-r"

 -- Andreas Tille <tille@debian.org>  Mon, 02 Oct 2017 09:25:59 +0200

r-cran-scatterd3 (0.8.1+dfsg-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Thu, 05 Jan 2017 16:42:15 +0100

r-cran-scatterd3 (0.8+dfsg-1) unstable; urgency=medium

  * New upstream version
  * debhelper 10
  * d/watch: version=4

 -- Andreas Tille <tille@debian.org>  Wed, 30 Nov 2016 10:53:23 +0100

r-cran-scatterd3 (0.7+dfsg-1) unstable; urgency=medium

  * New upstream version
  * Switch to dh-r
  * canonical homepage for cran
  * lintian override for false posiitve

 -- Andreas Tille <tille@debian.org>  Tue, 08 Nov 2016 11:01:12 +0100

=== debian/control ===
Source: r-cran-scatterd3
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Andreas Tille <tille@debian.org>
Section: gnu-r
Priority: optional
Testsuite: autopkgtest-pkg-r
Build-Depends: debhelper (>= 10),
               dh-r,
               r-base-dev,
               r-cran-htmlwidgets,
               r-cran-digest,
               r-cran-ellipse
Standards-Version: 4.1.1
Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/r-cran-scatterd3.git
Vcs-Git: https://anonscm.debian.org/git/debian-med/r-cran-scatterd3.git
Homepage: https://cran.r-project.org/package=scatterD3

Package: r-cran-scatterd3
Architecture: all
Depends: ${misc:Depends},
         ${R:Depends},
         libjs-d3
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: GNU R D3 JavaScript Scatterplot from R
 This GNU R package creates 'D3' 'JavaScript' scatterplots from 'R' with
 interactive features : panning, zooming, tooltips, etc.

=== debian/rules ===
#!/usr/bin/make -f

debRreposname   := $(shell dpkg-parsechangelog | awk '/^Source:/ {print $$2}' | sed 's/r-\([a-z]\+\)-.*/\1/')
awkString       := "'/^(Package|Bundle):/ {print $$2 }'"
cranNameOrig    := $(shell awk "$(awkString)" DESCRIPTION)
cranName        := $(shell echo "$(cranNameOrig)" | tr A-Z a-z)
package         := r-$(debRreposname)-$(cranName)
debRdir         := usr/lib/R/site-library
debRlib         := $(CURDIR)/debian/$(package)/$(debRdir)

%:
	dh $@ --buildsystem R

override_dh_install:
	dh_install
	find debian -name LICENSE -delete

override_dh_link:
	dh_link
	dh_link /usr/share/javascript/d3/d3.min.js $(debRdir)/$(cranNameOrig)/htmlwidgets/lib/d3-4.2.6.min.js

=== debian/watch ===
version=4
opts="repacksuffix=+dfsg,dversionmangle=s/\+dfsg//g,repack,compression=xz" \
   https://cran.r-project.org/src/contrib/scatterD3_([-\d.]*)\.tar\.gz

## r-cran-scatterd3 0.8.2+dfsg

=== debian/changelog ===
r-cran-scatterd3 (0.8.2+dfsg-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.1.3
  * debhelper 11
  * do not parse d/changelog
  * Fix installation of d3.js
  * Drop unused lintian override

 -- Andreas Tille <tille@debian.org>  Thu, 15 Mar 2018 20:14:39 +0100

=== debian/control ===
--- 
+++ 
@@ -2,15 +2,15 @@
 Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
 Uploaders: Andreas Tille <tille@debian.org>
 Section: gnu-r
+Testsuite: autopkgtest-pkg-r
 Priority: optional
-Testsuite: autopkgtest-pkg-r
-Build-Depends: debhelper (>= 10),
+Build-Depends: debhelper (>= 11~),
                dh-r,
                r-base-dev,
                r-cran-htmlwidgets,
                r-cran-digest,
                r-cran-ellipse
-Standards-Version: 4.1.1
+Standards-Version: 4.1.3
 Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/r-cran-scatterd3.git
 Vcs-Git: https://anonscm.debian.org/git/debian-med/r-cran-scatterd3.git
 Homepage: https://cran.r-project.org/package=scatterD3

## r-cran-scatterd3 0.8.2+dfsg1

=== DESCRIPTION ===
--- 
+++ 
@@ -1,8 +1,8 @@
 Package: scatterD3
 Type: Package
 Title: D3 JavaScript Scatterplot from R
-Version: 0.8.1
-Date: 2016-12-13
+Version: 0.8.2
+Date: 2018-03-09
 Authors@R: c(
     person(
       "Julien", "Barnier",
@@ -41,9 +41,9 @@
 Enhances: shiny
 Imports: htmlwidgets, digest, ellipse
 Suggests: knitr, rmarkdown
-RoxygenNote: 5.0.1
+RoxygenNote: 6.0.1
 NeedsCompilation: no
-Packaged: 2016-12-13 15:44:13 UTC; julien
+Packaged: 2018-03-10 10:17:25 UTC; julien
 Author: Julien Barnier [aut, cre],
   Kent Russell [aut, ctb],
   Mike Bostock [aut, cph] (d3.js library, http://d3js.org),
@@ -51,4 +51,4 @@
   Speros Kokenes [aut, cph] (d3-lasso-plugin library,
     https://github.com/skokenes/D3-Lasso-Plugin)
 Repository: CRAN
-Date/Publication: 2016-12-13 21:24:10
+Date/Publication: 2018-03-10 17:01:24 UTC

=== debian/changelog ===
r-cran-scatterd3 (0.8.2+dfsg1-1) unstable; urgency=medium

  * Rebuild for R 3.5 transition
  * Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-
    lists.debian.net>
  * Point Vcs fields to salsa.debian.org
  * dh-update-R to update Build-Depends
  * Exclude autogenerated HTML containing compressed JS

 -- Andreas Tille <tille@debian.org>  Sun, 03 Jun 2018 23:17:31 +0200

=== debian/control ===
Source: r-cran-scatterd3
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Andreas Tille <tille@debian.org>
Section: gnu-r
Testsuite: autopkgtest-pkg-r
Priority: optional
Build-Depends: debhelper (>= 11~),
               dh-r,
               r-base-dev,
               r-cran-htmlwidgets,
               r-cran-digest,
               r-cran-ellipse
Standards-Version: 4.1.4
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-scatterd3
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-scatterd3.git
Homepage: https://cran.r-project.org/package=scatterD3

Package: r-cran-scatterd3
Architecture: all
Depends: ${R:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: GNU R D3 JavaScript Scatterplot from R
 This GNU R package creates 'D3' 'JavaScript' scatterplots from 'R' with
 interactive features : panning, zooming, tooltips, etc.

## r-cran-scatterd3 0.9%2Bdfsg

=== debian/changelog ===
r-cran-scatterd3 (0.9+dfsg-1) unstable; urgency=medium

  * New upstream version
  * debhelper 12
  * Standards-Version: 4.3.0
  * Fix lintian override
  * Enhance description

 -- Andreas Tille <tille@debian.org>  Wed, 10 Jul 2019 21:25:28 +0200

## r-cran-scatterd3 0.9+dfsg

=== DESCRIPTION ===
--- 
+++ 
@@ -1,8 +1,8 @@
 Package: scatterD3
 Type: Package
 Title: D3 JavaScript Scatterplot from R
-Version: 0.8.2
-Date: 2018-03-09
+Version: 0.9
+Date: 2019-03-27
 Authors@R: c(
     person(
       "Julien", "Barnier",
@@ -28,6 +28,11 @@
         "Speros", "Kokenes"
         , role = c("aut", "cph")
         , comment = "d3-lasso-plugin library, https://github.com/skokenes/D3-Lasso-Plugin"
+    ),
+    person(
+        "Evan", "Wang"
+        , role = c("aut", "cph")
+        , comment = "d3-labeler plugin, https://github.com/tinker10/D3-Labeler"
     )
   )
 Maintainer: Julien Barnier <julien.barnier@ens-lyon.fr>
@@ -35,20 +40,23 @@
     features : panning, zooming, tooltips, etc.
 License: GPL (>= 3)
 VignetteBuilder: knitr
+Encoding: UTF-8
 URL: https://github.com/juba/scatterD3
 BugReports: https://github.com/juba/scatterD3/issues
 LazyData: TRUE
 Enhances: shiny
 Imports: htmlwidgets, digest, ellipse
 Suggests: knitr, rmarkdown
-RoxygenNote: 6.0.1
+RoxygenNote: 6.1.1
 NeedsCompilation: no
-Packaged: 2018-03-10 10:17:25 UTC; julien
+Packaged: 2019-04-16 09:08:35 UTC; julien
 Author: Julien Barnier [aut, cre],
   Kent Russell [aut, ctb],
   Mike Bostock [aut, cph] (d3.js library, http://d3js.org),
   Susie Lu [aut, cph] (d3-legend library, http://d3-legend.susielu.com/),
   Speros Kokenes [aut, cph] (d3-lasso-plugin library,
-    https://github.com/skokenes/D3-Lasso-Plugin)
+    https://github.com/skokenes/D3-Lasso-Plugin),
+  Evan Wang [aut, cph] (d3-labeler plugin,
+    https://github.com/tinker10/D3-Labeler)
 Repository: CRAN
-Date/Publication: 2018-03-10 17:01:24 UTC
+Date/Publication: 2019-04-16 09:42:37 UTC

=== debian/control ===
--- 
+++ 
@@ -4,13 +4,13 @@
 Section: gnu-r
 Testsuite: autopkgtest-pkg-r
 Priority: optional
-Build-Depends: debhelper (>= 11~),
+Build-Depends: debhelper (>= 12~),
                dh-r,
                r-base-dev,
                r-cran-htmlwidgets,
                r-cran-digest,
                r-cran-ellipse
-Standards-Version: 4.1.4
+Standards-Version: 4.3.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-scatterd3
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-scatterd3.git
 Homepage: https://cran.r-project.org/package=scatterD3
@@ -21,6 +21,10 @@
          ${misc:Depends}
 Recommends: ${R:Recommends}
 Suggests: ${R:Suggests}
-Description: GNU R D3 JavaScript Scatterplot from R
+Description: D3 JavaScript scatterplot from GNU R
  This GNU R package creates 'D3' 'JavaScript' scatterplots from 'R' with
  interactive features : panning, zooming, tooltips, etc.
+ .
+ The `scatterD3` package provides an HTML widget based on the `htmlwidgets`
+ package and allows one to produce interactive scatterplots by using the
+ `d3` javascript visualization library.

## r-cran-scatterd3 0.9.1+dfsg

=== debian/changelog ===
r-cran-scatterd3 (0.9.1+dfsg-2build1) groovy; urgency=medium

  * No-change rebuild against r-api-4.0

 -- Graham Inggs <ginggs@ubuntu.com>  Sat, 30 May 2020 21:44:26 +0000

r-cran-scatterd3 (0.9.1+dfsg-2) unstable; urgency=medium

  * Team upload.

 -- Dylan Aïssi <daissi@debian.org>  Mon, 18 May 2020 11:04:24 +0200

r-cran-scatterd3 (0.9.1+dfsg-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.5.0 (routine-update)
  * debhelper-compat 12 (routine-update)
  * autopkgtest: s/ADTTMP/AUTOPKGTEST_TMP/g (routine-update)
  * Add salsa-ci file (routine-update)
  * Set upstream metadata fields: Archive, Bug-Database, Bug-Submit,
    Repository, Repository-Browse.
  * Rules-Requires-Root: no (routine-update)

 -- Andreas Tille <tille@debian.org>  Thu, 12 Mar 2020 12:04:53 +0100

=== debian/control ===
--- 
+++ 
@@ -4,16 +4,17 @@
 Section: gnu-r
 Testsuite: autopkgtest-pkg-r
 Priority: optional
-Build-Depends: debhelper (>= 12~),
+Build-Depends: debhelper-compat (= 12),
                dh-r,
                r-base-dev,
                r-cran-htmlwidgets,
                r-cran-digest,
                r-cran-ellipse
-Standards-Version: 4.3.0
+Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-scatterd3
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-scatterd3.git
 Homepage: https://cran.r-project.org/package=scatterD3
+Rules-Requires-Root: no
 
 Package: r-cran-scatterd3
 Architecture: all

## r-cran-scatterd3 0.9.2+dfsg

=== DESCRIPTION ===
--- 
+++ 
@@ -1,12 +1,12 @@
 Package: scatterD3
 Type: Package
 Title: D3 JavaScript Scatterplot from R
-Version: 0.9
-Date: 2019-03-27
+Version: 0.9.2
+Date: 2020-12-01
 Authors@R: c(
     person(
       "Julien", "Barnier",
-      email = "julien.barnier@ens-lyon.fr",
+      email = "julien.barnier@cnrs.fr",
       role = c("aut", "cre")
     ),
     person(
@@ -35,21 +35,21 @@
         , comment = "d3-labeler plugin, https://github.com/tinker10/D3-Labeler"
     )
   )
-Maintainer: Julien Barnier <julien.barnier@ens-lyon.fr>
+Maintainer: Julien Barnier <julien.barnier@cnrs.fr>
 Description: Creates 'D3' 'JavaScript' scatterplots from 'R' with interactive
     features : panning, zooming, tooltips, etc.
 License: GPL (>= 3)
 VignetteBuilder: knitr
 Encoding: UTF-8
-URL: https://github.com/juba/scatterD3
+URL: https://juba.github.io/scatterD3/
 BugReports: https://github.com/juba/scatterD3/issues
 LazyData: TRUE
 Enhances: shiny
 Imports: htmlwidgets, digest, ellipse
 Suggests: knitr, rmarkdown
-RoxygenNote: 6.1.1
+RoxygenNote: 7.1.1
 NeedsCompilation: no
-Packaged: 2019-04-16 09:08:35 UTC; julien
+Packaged: 2020-12-01 13:03:30 UTC; julien
 Author: Julien Barnier [aut, cre],
   Kent Russell [aut, ctb],
   Mike Bostock [aut, cph] (d3.js library, http://d3js.org),
@@ -59,4 +59,4 @@
   Evan Wang [aut, cph] (d3-labeler plugin,
     https://github.com/tinker10/D3-Labeler)
 Repository: CRAN
-Date/Publication: 2019-04-16 09:42:37 UTC
+Date/Publication: 2020-12-01 13:30:03 UTC

=== debian/changelog ===
r-cran-scatterd3 (0.9.2+dfsg-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.5.1 (routine-update)
  * debhelper-compat 13 (routine-update)

 -- Andreas Tille <tille@debian.org>  Sat, 16 Jan 2021 17:12:09 +0100

=== debian/control ===
--- 
+++ 
@@ -4,13 +4,13 @@
 Section: gnu-r
 Testsuite: autopkgtest-pkg-r
 Priority: optional
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
                r-cran-htmlwidgets,
                r-cran-digest,
                r-cran-ellipse
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-scatterd3
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-scatterd3.git
 Homepage: https://cran.r-project.org/package=scatterD3

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/default.mk

debRreposname   := $(shell echo $(DEB_SOURCE) | sed 's/r-\([a-z]\+\)-.*/\1/')
awkString       := "'/^(Package|Bundle):/ {print $$2 }'"
cranNameOrig    := $(shell awk "$(awkString)" DESCRIPTION)
cranName        := $(shell echo "$(cranNameOrig)" | tr A-Z a-z)
package         := r-$(debRreposname)-$(cranName)
debRdir         := usr/lib/R/site-library
debRlib         := $(CURDIR)/debian/$(package)/$(debRdir)

%:
	dh $@ --buildsystem R

override_dh_install:
	dh_install
	find debian -name LICENSE -delete
	dh_install debian/js/d3-legend.min.js $(debRdir)/$(cranNameOrig)/htmlwidgets/lib/d3

override_dh_link:
	dh_link
	dh_link /usr/share/javascript/d3/d3.min.js $(debRdir)/$(cranNameOrig)/htmlwidgets/lib/d3/d3-4.13.0.min.js

## r-cran-scatterd3 1.0.0+dfsg

=== DESCRIPTION ===
--- 
+++ 
@@ -1,8 +1,8 @@
 Package: scatterD3
 Type: Package
 Title: D3 JavaScript Scatterplot from R
-Version: 0.9.2
-Date: 2020-12-01
+Version: 1.0.0
+Date: 2021-06-24
 Authors@R: c(
     person(
       "Julien", "Barnier",
@@ -43,13 +43,12 @@
 Encoding: UTF-8
 URL: https://juba.github.io/scatterD3/
 BugReports: https://github.com/juba/scatterD3/issues
-LazyData: TRUE
 Enhances: shiny
 Imports: htmlwidgets, digest, ellipse
 Suggests: knitr, rmarkdown
 RoxygenNote: 7.1.1
 NeedsCompilation: no
-Packaged: 2020-12-01 13:03:30 UTC; julien
+Packaged: 2021-06-24 09:51:45 UTC; julien
 Author: Julien Barnier [aut, cre],
   Kent Russell [aut, ctb],
   Mike Bostock [aut, cph] (d3.js library, http://d3js.org),
@@ -59,4 +58,4 @@
   Evan Wang [aut, cph] (d3-labeler plugin,
     https://github.com/tinker10/D3-Labeler)
 Repository: CRAN
-Date/Publication: 2020-12-01 13:30:03 UTC
+Date/Publication: 2021-06-24 10:20:02 UTC

=== debian/changelog ===
r-cran-scatterd3 (1.0.0+dfsg-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.6.0 (routine-update)

 -- Andreas Tille <tille@debian.org>  Fri, 27 Aug 2021 09:25:53 +0200

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
                r-cran-htmlwidgets,
                r-cran-digest,
                r-cran-ellipse
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-scatterd3
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-scatterd3.git
 Homepage: https://cran.r-project.org/package=scatterD3

## r-cran-scatterd3 1.0.1+dfsg

=== DESCRIPTION ===
--- 
+++ 
@@ -1,8 +1,8 @@
 Package: scatterD3
 Type: Package
 Title: D3 JavaScript Scatterplot from R
-Version: 1.0.0
-Date: 2021-06-24
+Version: 1.0.1
+Date: 2021-10-06
 Authors@R: c(
     person(
       "Julien", "Barnier",
@@ -17,12 +17,12 @@
     person(
         "Mike", "Bostock"
         , role = c("aut", "cph")
-        , comment = "d3.js library, http://d3js.org"
+        , comment = "d3.js library, https://d3js.org"
     ),
     person(
         "Susie", "Lu"
         , role = c("aut", "cph")
-        , comment = "d3-legend library, http://d3-legend.susielu.com/"
+        , comment = "d3-legend library, https://d3-legend.susielu.com/"
     ),
     person(
         "Speros", "Kokenes"
@@ -48,14 +48,14 @@
 Suggests: knitr, rmarkdown
 RoxygenNote: 7.1.1
 NeedsCompilation: no
-Packaged: 2021-06-24 09:51:45 UTC; julien
+Packaged: 2021-10-06 08:56:19 UTC; julien
 Author: Julien Barnier [aut, cre],
   Kent Russell [aut, ctb],
-  Mike Bostock [aut, cph] (d3.js library, http://d3js.org),
-  Susie Lu [aut, cph] (d3-legend library, http://d3-legend.susielu.com/),
+  Mike Bostock [aut, cph] (d3.js library, https://d3js.org),
+  Susie Lu [aut, cph] (d3-legend library, https://d3-legend.susielu.com/),
   Speros Kokenes [aut, cph] (d3-lasso-plugin library,
     https://github.com/skokenes/D3-Lasso-Plugin),
   Evan Wang [aut, cph] (d3-labeler plugin,
     https://github.com/tinker10/D3-Labeler)
 Repository: CRAN
-Date/Publication: 2021-06-24 10:20:02 UTC
+Date/Publication: 2021-10-06 09:30:01 UTC

=== debian/changelog ===
r-cran-scatterd3 (1.0.1+dfsg-1) unstable; urgency=medium

  * Disable reprotest
  * New upstream version
  * Provide missing JS or at least script to create it
  * Fix lintian-overrides
  * Standards-Version: 4.6.1 (routine-update)
  * Reorder sequence of d/control fields by cme (routine-update)

 -- Andreas Tille <tille@debian.org>  Fri, 05 Aug 2022 14:01:40 +0200

=== debian/control ===
--- 
+++ 
@@ -1,20 +1,20 @@
 Source: r-cran-scatterd3
+Section: gnu-r
+Priority: optional
 Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
 Uploaders: Andreas Tille <tille@debian.org>
-Section: gnu-r
-Testsuite: autopkgtest-pkg-r
-Priority: optional
+Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-scatterd3
+Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-scatterd3.git
+Homepage: https://cran.r-project.org/package=scatterD3
+Standards-Version: 4.6.1
+Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
                r-cran-htmlwidgets,
                r-cran-digest,
                r-cran-ellipse
-Standards-Version: 4.6.0
-Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-scatterd3
-Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-scatterd3.git
-Homepage: https://cran.r-project.org/package=scatterD3
-Rules-Requires-Root: no
+Testsuite: autopkgtest-pkg-r
 
 Package: r-cran-scatterd3
 Architecture: all

=== debian/rules ===
--- 
+++ 
@@ -16,7 +16,7 @@
 override_dh_install:
 	dh_install
 	find debian -name LICENSE -delete
-	dh_install debian/js/d3-legend.min.js $(debRdir)/$(cranNameOrig)/htmlwidgets/lib/d3
+	dh_install debian/missing-sources/d3-legend/d3-legend.min.js $(debRdir)/$(cranNameOrig)/htmlwidgets/lib/d3
 
 override_dh_link:
 	dh_link

=== debian/watch ===
version=4
opts="repacksuffix=+dfsg,dversionmangle=s/\+dfsg[0-9]*//g,repack,compression=xz" \
   https://cran.r-project.org/src/contrib/scatterD3_([-\d.]*)\.tar\.gz
